Create User

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/user
API call form
Examples
List of examples
  • Create a trial user & organization
  • Create user in existing organization
  • Create user in suborganization in existing organization
Install
pip install luzmo-sdk
Example Response
200
400
500
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "email": "john.doe@example.com",
  "name": "John Doe",
  "city": "BigCity",
  "phone": "+1234567890",
  "theme": "light",
  "warp_notifications": false,
  "show_formula_tutorial": true,
  "show_dashboard_templates": true,
  "onboarding_menu_visible": true,
  "onboarding_editor_active": true,
  "onboarding_editor_progress": 50,
  "collection_order": [
    "item1",
    "item2",
    "item3"
  ],
  "company": {
    "en": "Company Name"
  },
  "role": "member",
  "suborganization": "SubOrgName",
  "plan": "basic",
  "cycle": "monthly",
  "currency": "USD",
  "campaign": "campaign_name",
  "timezone_id": "Europe/Brussels",
  "feature_overrides": [
    "!flag_alerting",
    "flag_opendataboard"
  ],
  "onboarding_integration_progress": "complete",
  "onboarding_embedded_editor_progress": 25
}